/[slime]/slime/test.sh
ViewVC logotype

Contents of /slime/test.sh

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.1 - (hide annotations)
Wed Oct 15 14:44:11 2003 UTC (10 years, 6 months ago) by lgorrie
Branch: MAIN
CVS Tags: SLIME-0-4
File MIME type: application/x-sh
*** empty log message ***
1 lgorrie 1.1 #!/bin/sh
2    
3     # Run the SLIME test suite in batch mode, saving the results to a file.
4    
5     # This script's exit status is the number of tests failed. If no tests
6     # fail then no output is printed. If at least one test fails then a
7     # one-line summary is printed.
8    
9     # If something unexpected fails, you might get an exit code like 127
10     # or 255 instead. Sorry.
11    
12     if [ $# != 4 ]; then
13     echo "Usage: $0 <emacs> <lisp> <dribble-file> <results-file>"
14     exit 1
15     fi
16    
17     emacs=$1; lisp=$2; dribble=$3; results=$4
18     slimedir=$(dirname $0)
19    
20     # Move the code into a directory in /tmp, so that we can compile it
21     # for the current lisp.
22    
23     testdir=/tmp/slime-test.$$
24     test -d $testdir && rm -r $testdir
25     trap "rm -r $testdir" EXIT # remove temporary directory on exit
26    
27     mkdir $testdir
28     cp $slimedir/*.el $slimedir/*.lisp $testdir
29    
30     # you can remove "--batch" to get an emacs window for troubleshooting.
31     $emacs --batch --no-site-file --no-init-file \
32     --eval "(setq load-path (cons \"$testdir\" load-path))" \
33     --eval "(require 'slime)" \
34     --eval "(setq inferior-lisp-program \"$lisp\")" \
35     --eval "(slime-batch-test \"${results}\")" \
36     &> $dribble \
37    
38     status=$?
39    
40     if [ $status != 0 ]; then
41     echo $status "test(s) failed."
42     fi
43    
44     exit $status
45    

  ViewVC Help
Powered by ViewVC 1.1.5